import { ComponentFactoryResolver, Injector, OnInit, ViewContainerRef, ElementRef, EventEmitter } from '@angular/core';
import { BaseMagicOverlayContainer } from "./base-magic-overlay-container";
import { IMagicViewContainerRef } from "../../..";
/**
 * Creates a modal window for Magic modal window components
 */
export declare class MagicOverlayContainer extends BaseMagicOverlayContainer implements OnInit, IMagicViewContainerRef {
    private injector;
    private componentFactoryResolver;
    /**
     * HTML to be displayed in the modal window
     */
    modalbodyViewContainerRef: ViewContainerRef;
    /**
     * Header of the modal window
     */
    headerElementRef: ElementRef;
    /**
     * Foreground of the modal window
     */
    foregroundElementRef: ElementRef;
    /**
     *
     */
    ModalComp: any;
    /**
     *
     */
    ModalCompParameters: any;
    onClose: EventEmitter<void>;
    /**
     *
     */
    private componentRef;
    /**
     *
     * @param injector
     * @param componentFactoryResolver
     */
    constructor(injector: Injector, componentFactoryResolver: ComponentFactoryResolver);
    /**
     *
     */
    ngOnInit(): void;
    setViewContainerRef(vcRef: ViewContainerRef): void;
    /**
     * Returns the form name
     * @returns
     */
    getText(): any;
    /**
     * Returns CSS styles for the window
     * @returns
     */
    getStyle(): {};
    /**
     * Returns the CSS styles for the client area
     * @returns
     */
    getClientAreaStyles(): {};
    /**
     * Should the title bar be displayed
     * @returns
     */
    getShowTitleBar(): any;
    /**
     *
     */
    OnClose(): void;
    /**
     * Handles click in the background window
     */
    OnBackgroundClick(): void;
}
